#! /bin/bash

chmod 0777 /adei/tmp

sed -i'' -re 's/^.*pam_loginuid\.so.*$//' /etc/pam.d/crond

sed -i'' -re 's/APACHE_MODULES="(.*)"/APACHE_MODULES="\1 php5 rewrite proxy mod_proxy_http access_compat"/' /etc/sysconfig/apache2
sed -i'' -rf /opt/scripts/override.sed /etc/apache2/default-server.conf
sed -i'' -re 's/short_open_tag\s*=.*/short_open_tag = On/' /etc/php5/apache2/php.ini
sed -i'' -re 's@session.save_path\s*=.*@session.save_path=/tmp@' /etc/php5/apache2/php.ini

# Docker allows to view stdout/stderr streams individually, but OpenShift not. So we skip TransferLog for now
sed -i'' -re 's@^ErrorLog .*@ErrorLog "|/usr/bin/tee -a /var/log/apache2/error.log /dev/stderr"@' /etc/apache2/httpd.conf
